Subject: Re: [bug#65922] [qt-team PATCH v2 1/4] gnu: qtbase: Do not capture Python (again).

From: Maxim Cournoyer <[email-masked]>
Date: Sat, 16 Sep 2023 22:51:22 -0400

Hi Andreas,

Andreas Enge <[email-masked]> writes:

> Hello,
>
> I just happened to have the time for one patch :)
>
> Am Wed, Sep 13, 2023 at 01:33:13PM -0400 schrieb Maxim Cournoyer:
>> * gnu/packages/qt.scm (qtbase-5) [arguments]: Add #:disallowed-references
>> argument to guard against the problem reoccurring in the future.
>> Add do-not-capture-python phase.
>> (qtbase) [arguments]: Update do-not-capture-python phase.
>
> This one looks good, except for indentation there, I think:
>> +             (substitute*
>> +                 (search-input-file
>> +                  outputs "lib/qt5/mkspecs/features/uikit/devices.py")
>> +               (((which "python3"))
>> +                "/usr/bin/env python3")))))))

It's actually valid -- I just doubled check :-)

Thanks for taking a peek.

-- 
Thanks,
Maxim